%define pygmy_prefix	/usr
%define ver		0.6.0
%define name		pygmy

Summary: Pygmy - GNOME/Python mail client
Name: %name
Version: %ver
Release: 1
URL: http://pygmy.sourceforge.net/
Source: http://pygmy.sourceforge.net/%{name}-%{ver}.tar.gz
License: GPL
Group: Applications/Internet
Packager: Kjetil Jacobsen <kjetilja@cs.uit.no>
BuildRoot: %{_tmppath}/%{name}-root
Requires:  gtk+ >= 1.2.4 python >= 1.5.2 pygnome >= 1.0.53 pygtk >= 0.6.4 imlib gnome-libs

%description
Pygmy - GNOME mail client written in the Python programming language.
Support for hierarchical folders, MIME messages, GnuPG and filters.

%prep
%setup -q
echo PYGMY_PREFIX=\'%{pygmy_prefix}\' >prefix.py
echo PYGMY_ICONDIR=\'%{pygmy_prefix}/share/pixmaps/pygmy\' >>prefix.py

%build

%install
make DESTDIR=$RPM_BUILD_ROOT/%{pygmy_prefix}/share rpminstall 
mkdir $RPM_BUILD_ROOT/%{pygmy_prefix}/bin
cat <<\EOF_PYGMY_BIN >$RPM_BUILD_ROOT/%{pygmy_prefix}/bin/pygmy
#!/bin/sh

PYTHONPATH=%{pygmy_prefix}/share/pygmy:$PYTHONPATH /usr/bin/env python -O %{pygmy_prefix}/share/pygmy/pygmy
EOF_PYGMY_BIN

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod a+x %{pygmy_prefix}/bin/pygmy

%files
%{pygmy_prefix}/share/pygmy
%{pygmy_prefix}/share/pixmaps/pygmy
%{pygmy_prefix}/bin/pygmy

%doc README COPYING TODO CHANGELOG

%changelog
* Sun Apr 29 2001 Kjetil Jacobsen <kjetilja@cs.uit.no>
- Initial build.
